<template>
    <div if:true={isLoading}>
        <lightning-spinner alternative-text="loading" size="medium" class="spinnerClass"></lightning-spinner>
    </div>
    <lightning-datatable
        key-field="Id"
        data={dataSF}
        columns={cols}
        sorted-by="created__c"
        sorted-direction={sortDirection}
        onsort={doSorting}
        hide-checkbox-column="true"
        onrowaction={deleteRecordJS}>
    </lightning-datatable>
</template>